## org.firebirdsql.gds.impl
Class AbstractIscTrHandle

    java.lang.Object
      org.firebirdsql.gds.impl.AbstractIscTrHandle

All Implemented Interfaces:
  IscTrHandle

Direct Known Subclasses:
  isc_tr_handle_impl, isc_tr_handle_impl

    public abstract class AbstractIscTrHandle

extends Object
implements IscTrHandle

Abstract implementation of the `IscTrHandle` interface.

Field Summary
`static int` `NOTRANSACTION`
`static int` `TRANSACTIONCOMMITTING`
`static int` `TRANSACTIONPREPARED`
`static int` `TRANSACTIONPREPARING`
`static int` `TRANSACTIONROLLINGBACK`
`static int` `TRANSACTIONSTARTED`
`static int` `TRANSACTIONSTARTING`

Constructor Summary
`AbstractIscTrHandle()`

Method Summary
`abstract void` `forgetResultSets()` Clear all the saved result sets from this handle.
`abstract int` `getState()` Get the current state of the transaction to which this handle is pointing.
`abstract void` `registerStatementWithTransaction(AbstractIscStmtHandle fbStatement)` Register a statement within the transaction to which this handle points.
`abstract void` `unregisterStatementFromTransaction(AbstractIscStmtHandle fbStatement)` Unregister a statement from the transaction in which it was registered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.firebirdsql.gds.IscTrHandle
`getDbHandle`

Field Detail

### NOTRANSACTION

    public static final int NOTRANSACTION

See Also:
  Constant Field Values

### TRANSACTIONCOMMITTING

    public static final int TRANSACTIONCOMMITTING

See Also:
  Constant Field Values

### TRANSACTIONPREPARED

    public static final int TRANSACTIONPREPARED

See Also:
  Constant Field Values

### TRANSACTIONPREPARING

    public static final int TRANSACTIONPREPARING

See Also:
  Constant Field Values

### TRANSACTIONROLLINGBACK

    public static final int TRANSACTIONROLLINGBACK

See Also:
  Constant Field Values

### TRANSACTIONSTARTED

    public static final int TRANSACTIONSTARTED

See Also:
  Constant Field Values

### TRANSACTIONSTARTING

    public static final int TRANSACTIONSTARTING

See Also:
  Constant Field Values

Constructor Detail

### AbstractIscTrHandle

    public AbstractIscTrHandle()

Method Detail

### forgetResultSets

    public abstract void forgetResultSets()

  Clear all the saved result sets from this handle.

### getState

    public abstract int getState()

  Get the current state of the transaction to which this handle is pointing. The state is equal to one of the `TRANSACTION*` constants of this interface, or the `NOTRANSACTION` constant, also of this interface.

  Returns:
    The corresponding value for the current state

### registerStatementWithTransaction

    public abstract void registerStatementWithTransaction(AbstractIscStmtHandle fbStatement)

  Register a statement within the transaction to which this handle points. This method allows automated cleanup of the rows fetched within a transaction on commit or rollback point.

  Parameters:
    `fbStatement` - Handle to the statement to be registered.

### unregisterStatementFromTransaction

    public abstract void unregisterStatementFromTransaction(AbstractIscStmtHandle fbStatement)

  Unregister a statement from the transaction in which it was registered.

  Parameters:
    `fbStatement` - Handle to the statement to be unregistered.

Copyright © 2001-2010. All Rights Reserved.